#!/bin/bash

CMD="$1"
USER="$2"
PASS="$3"
DOMAIN="$4"
APP="$5"

BROWSER=""
STORE=""

source /etc/alxconfig-ng/storefront.rc

# prefer storebrowse
if [[ -e ${ICAROOT}/util/storebrowse ]]
then
	BROWSER=${ICAROOT}/util/storebrowse

# use old pnabrowse
elif [[ -e ${ICAROOT}/util/pnabrowse ]]
then
	BROWSER=${ICAROOT}/util/pnabrowse
else
	echo "No Citrix browser found."
	exit 1
fi

case ${CMD} in
	enumerate)
		# enumerate apps
		"${BROWSER}" -E -U "${USER}" -P "${PASS}" -D "${DOMAIN}" "${STORE}"
		;;

	launch)
		# launch apps
		"${BROWSER}" -L "${APP}" -U "${USER}" -P "${PASS}" -D "${DOMAIN}" "${STORE}"
		;;

	*)
		echo "Unknown command '${CMD}'."
		exit 1
		;;
esac
